%define realname openvswitch
%define realver  2.1.0
%define srcext   tar.gz

# turn off the generation of debuginfo rpm  (RH9) ??
%global debug_package %{nil}

Name:          %{realname}
Version:       %{realver}
Release:       1.1
License:       Apache-2.0
Group:         Productivity/Networking/Routing
URL:           http://openvswitch.org/
Summary:       Production Quality, Multilayer Open Virtual Switch

BuildRequires: openssl-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Source:        http://openvswitch.org/releases/%{realname}-%{realver}.%{srcext}

%description
Open vSwitch is a multilayer software switch licensed under the open
source Apache 2 license.  Our goal is to implement a production
quality switch platform that supports standard management interfaces
and opens the forwarding functions to programmatic extension and
control.

Open vSwitch is well suited to function as a virtual switch in VM
environments.  In addition to exposing standard control and visibility
interfaces to the virtual networking layer, it was designed to support
distribution across multiple physical servers.  Open vSwitch supports
multiple Linux-based virtualization technologies including
Xen/XenServer, KVM, and VirtualBox.

The bulk of the code is written in platform-independent C and is
easily ported to other environments.  The current release of Open
vSwitch supports the following features:

    * Standard 802.1Q VLAN model with trunk and access ports
    * NIC bonding with or without LACP on upstream switch
    * NetFlow, sFlow(R), and mirroring for increased visibility
    * QoS (Quality of Service) configuration, plus policing
    * GRE, GRE over IPSEC, VXLAN, and LISP tunneling
    * 802.1ag connectivity fault management
    * OpenFlow 1.0 plus numerous extensions
    * Transactional configuration database with C and Python bindings
    * High-performance forwarding using a Linux kernel module

%prep
%setup -n %{realname}-%{realver}

%build
%configure \
 --with-dbdir=%{_localstatedir}/lib/%{realname}
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR=%{buildroot}
%if 0%{?rhel}
%{__install} -D -m755 rhel/etc_init.d_openvswitch %{buildroot}%{_initrddir}/openvswitch
%{__install} -D -m644 rhel/usr_share_openvswitch_scripts_sysconfig.template %{buildroot}%{_sysconfdir}/sysconfig/openvswitch
%{__install} -D -m644 rhel/etc_logrotate.d_openvswitch %{buildroot}%{_sysconfdir}/logrotate.d/openvswitch
%{__install} -D -m755 rhel/etc_sysconfig_network-scripts_ifup-ovs   %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ovs
%{__install} -D -m755 rhel/etc_sysconfig_network-scripts_ifdown-ovs %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown-ovs
%endif

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING DESIGN FAQ IntegrationGuide NEWS NOTICE OPENFLOW-1.1+
%doc rhel/README.RHEL README README-OFTest README-lisp REPORTING-BUGS WHY-OVS
%doc INSTALL.KVM INSTALL.Libvirt INSTALL.SSL INSTALL.XenServer
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/openvswitch
%{_datadir}/ovsdbmonitor
%dir %{_localstatedir}/lib/%{realname}/pki
%dir %{_localstatedir}/lib/%{realname}
%dir %{_localstatedir}/log/%{realname}
%dir %{_localstatedir}/run/%{realname}
%if 0%{?rhel}
%{_initrddir}/openvswitch
%{_sysconfdir}/sysconfig/openvswitch
%{_sysconfdir}/logrotate.d/openvswitch
%{_sysconfdir}/sysconfig/network-scripts/ifup-ovs
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ovs
%endif
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
%changelog
* Tue Apr 15 2014 aevseev@gmail.com
- New upstream version - 2.1.0
